import { FC } from 'react';

declare type MosaicImageInfo = {
    column: number;
    row: number;
    color: number;
    image: HTMLImageElement;
};
declare type MosaicProps = {
    width?: number;
    height?: number;
    columns?: number;
    rows?: number;
    colorBlending?: number;
    target: string | HTMLImageElement;
    sources: string[];
    crossOrigin?: string | null;
    onClick?: {
        (info: MosaicImageInfo): void;
    } | null;
    onLoadProgress?: {
        (progress: number): void;
    } | null;
};
declare const ReactImageMosaic: FC<MosaicProps>;

export { MosaicImageInfo, ReactImageMosaic };
